Actualizare în masă a produselor și atributelor
const url = 'https://prod.store-management.glovo.alb.app.onlineservice.io/api/v3/item/modify/stores/example/bulk';const options = { method: 'POST', headers: {Authorization: '<Authorization>', 'Content-Type': 'application/json'}, body: '{"products":[{"id":"burger1","name":"Burger Large","price":10,"image_url":"https://server.com/image","extra_image_urls":["https://i.imgur.com/Tsj3NOK.png","https://i.imgur.com/Qj5DlEH.png","https://i.imgur.com/Qj5MlEH.png"],"restrictions":{"is_alcoholic":true},"available":true}],"attributes":[{"id":"side1","name":"French fries","price_impact":1.5,"available":true}]}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://prod.store-management.glovo.alb.app.onlineservice.io/api/v3/item/modify/stores/example/bulk \ --header 'Authorization: <Authorization>' \ --header 'Content-Type: application/json' \ --data '{ "products": [ { "id": "burger1", "name": "Burger Large", "price": 10, "image_url": "https://server.com/image", "extra_image_urls": [ "https://i.imgur.com/Tsj3NOK.png", "https://i.imgur.com/Qj5DlEH.png", "https://i.imgur.com/Qj5MlEH.png" ], "restrictions": { "is_alcoholic": true }, "available": true } ], "attributes": [ { "id": "side1", "name": "French fries", "price_impact": 1.5, "available": true } ] }'Authorizations
Secțiune intitulată „Authorizations”Parameters
Secțiune intitulată „Parameters”Path Parameters
Secțiune intitulată „Path Parameters”Request Bodyrequired
Secțiune intitulată „Request Bodyrequired”object
Products to be updated.
Products to be updated.
object
Unique identifier of the product within a store
Example
burger1Product name
Example
Burger LargeProduct price
Example
10Url of the main product image. Must use HTTPS protocol.
Example
https://server.com/imageArray-ul de URL-uri ale imaginilor suplimentare ale produsului. Acestea trebuie să folosească protocolul HTTPS. Aceste imagini vor fi afișate în pagina de detaliu a produsului în aceeași ordine ca în array, mereu după imaginea principală. Se suportă până la 9 imagini (dacă se trimit mai multe imagini, se vor procesa primele 9).
Example
[ "https://i.imgur.com/Tsj3NOK.png", "https://i.imgur.com/Qj5DlEH.png", "https://i.imgur.com/Qj5MlEH.png"]Aceasta este o descriere a unui camp optional in sistemul Glovo care indica daca un produs are restrictie de alcool. Se mentioneaza ca acest camp este in proces de implementare si daca doriti sa activati restrictia de alcool pentru un produs, trebuie sa contactati echipa de integrare prin adresa de email pos.integrations@appsmart.ro
object
Indicatorul care arată dacă produsul este o băutură alcoolică. Acesta va declanșa un flux de utilizator conform cu restricțiile în cazul magazinelor din Polonia și România.
Specifies if the product is available to be purchased
Example
trueAttributes to be updated.
Attributes to be updated.
object
Unique identifier of the attribute within a store
Example
side1Attribute name
Example
French friesAttribute price
Example
1.5Specifies if the product is available to be purchased
Example
trueResponses
Secțiune intitulată „Responses”Actualizare în masă acceptată
object
Unique identifier of the asynchronous operation
Current status of the bulk update
Timestamp of the latest menu status update
Details for the current menu status
Details for the current menu status
object
Example
{ "transaction_id": "a946a2c7-f4e7-46ac-ae63-8a5497cb0ad9", "status": "SUCCESS", "last_updated_at": "2020-03-24T10:03:49.614Z", "details": [ "Products updated: [11111, 22222]", "Products not updated: [12345, 56789]", "Attributes updated: [33333, 44444]", "Attributes not updated: [67890, 45678]" ]}Payload sau parametri invalizi
object
Unique identifier of the asynchronous operation
Example
a946a2c7-f4e7-46ac-ae63-8a5497cb0ad9Current status of the bulk update
Example
PARTIALLY_PROCESSEDTimestamp of the latest menu status update
Example
2020-03-24T10:03:49.614ZDetails for the current menu status
Details for the current menu status
object
Example
[ "Products updated: [11111, 22222]", "Products not updated: [12345, 56789]", "Attributes updated: [33333, 44444]", "Attributes not updated: [67890, 45678]"]Example
[ "Products updated: [11111, 22222]", "Products not updated: [12345, 56789]", "Attributes updated: [33333, 44444]", "Attributes not updated: [67890, 45678]"]Neautorizat
object
Unique identifier of the asynchronous operation
Example
a946a2c7-f4e7-46ac-ae63-8a5497cb0ad9Current status of the bulk update
Example
PARTIALLY_PROCESSEDTimestamp of the latest menu status update
Example
2020-03-24T10:03:49.614ZDetails for the current menu status
Details for the current menu status
object
Example
[ "Products updated: [11111, 22222]", "Products not updated: [12345, 56789]", "Attributes updated: [33333, 44444]", "Attributes not updated: [67890, 45678]"]Example
[ "Products updated: [11111, 22222]", "Products not updated: [12345, 56789]", "Attributes updated: [33333, 44444]", "Attributes not updated: [67890, 45678]"]Eroare internă a serverului
object
Unique identifier of the asynchronous operation
Example
a946a2c7-f4e7-46ac-ae63-8a5497cb0ad9Current status of the bulk update
Example
PARTIALLY_PROCESSEDTimestamp of the latest menu status update
Example
2020-03-24T10:03:49.614ZDetails for the current menu status
Details for the current menu status
object
Example
[ "Products updated: [11111, 22222]", "Products not updated: [12345, 56789]", "Attributes updated: [33333, 44444]", "Attributes not updated: [67890, 45678]"]Example
[ "Products updated: [11111, 22222]", "Products not updated: [12345, 56789]", "Attributes updated: [33333, 44444]", "Attributes not updated: [67890, 45678]"]